using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace Erde01
{
		public class Form1 : System.Windows.Forms.Form
	{
		private System.ComponentModel.IContainer components;
		private System.Windows.Forms.Timer timer1;
		public System.Windows.Forms.RadioButton radioButton1;
		public System.Windows.Forms.RadioButton radioButton2;

		public Mond mond;				// Klasse Mond
		public Form1()								// Konstruktor
		{
			InitializeComponent();
			radioButton1.Checked=true;
			mond = new Mond(this);
			timer1.Interval = 10;
			timer1.Start();
			}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			this.timer1 = new System.Windows.Forms.Timer(this.components);
			this.radioButton1 = new System.Windows.Forms.RadioButton();
			this.radioButton2 = new System.Windows.Forms.RadioButton();
			this.SuspendLayout();
			// 
			// timer1
			// 
			this.timer1.Tick += new System.EventHandler(this.timer1_Tick);
			// 
			// radioButton1
			// 
			this.radioButton1.Location = new System.Drawing.Point(8, 32);
			this.radioButton1.Name = "radioButton1";
			this.radioButton1.Size = new System.Drawing.Size(144, 24);
			this.radioButton1.TabIndex = 0;
			this.radioButton1.Text = "Gegen Uhrzeigersinn";
			this.radioButton1.CheckedChanged += new System.EventHandler(this.radioButton1_CheckedChanged);
			// 
			// radioButton2
			// 
			this.radioButton2.Location = new System.Drawing.Point(136, 32);
			this.radioButton2.Name = "radioButton2";
			this.radioButton2.Size = new System.Drawing.Size(112, 24);
			this.radioButton2.TabIndex = 1;
			this.radioButton2.Text = "Im Uhrzeigersinn";
			this.radioButton2.CheckedChanged += new System.EventHandler(this.radioButton2_CheckedChanged);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.BackColor = System.Drawing.SystemColors.InactiveCaption;
			this.ClientSize = new System.Drawing.Size(600, 550);
			this.Controls.Add(this.radioButton2);
			this.Controls.Add(this.radioButton1);
			this.Name = "Form1";
			this.Text = "Erde, Mond dreht sich";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.Paint += new System.Windows.Forms.PaintEventHandler(this.Form1_Paint);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// Der Haupteinstiegspunkt fr die Anwendung.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void Form1_Paint(object sender, System.Windows.Forms.PaintEventArgs e)
		{
		Pen gStift = new Pen(Color.Yellow);	// Gelber Stift
		//	Pen bStift = new Pen(Color.Blue);	// Blauer Stift

			//e.Graphics.DrawEllipse(bStift,200,150,200,200);	// Erde
			e.Graphics.FillEllipse(Brushes.Blue,200,150,200,200);
			e.Graphics.DrawEllipse(gStift,mond.nPosX+10,mond.nPosY+10, 30, 30);	
			e.Graphics.FillEllipse(Brushes.Yellow,mond.nPosX+10,mond.nPosY+10, 30, 30);
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
		
		}

		private void timer1_Tick(object sender, System.EventArgs e)
		{		
			mond.nPosX = mond.Umlaufbahn().X;
			mond.nPosY = mond.Umlaufbahn().Y;
			this.Invalidate(mond.Rechteck, false);
		}
			private void radioButton1_CheckedChanged(object sender, System.EventArgs e)
			{
				this.Refresh();
			}
			private void radioButton2_CheckedChanged(object sender, System.EventArgs e)
			{
				this.Refresh();
			}
	}
}
