using System;
using System.Drawing;
//using System.Windows.Forms;

namespace Erde01
{
	/// <summary>
	/// Summary description for Mond.
	/// </summary>
	public class Mond
	{
		private Form1 parent;
		public int nPosX;
		public int nPosY;
		public double fRadius; // Umlaufradius
		public double fWinkel;
		public Rectangle Rechteck;

		public Mond(Form1 par)					// Konstruktor
		{
			parent = par;
			nPosX = -50;
			nPosY = -50;
			fRadius = 150.0;
			Rechteck = new Rectangle(nPosX, nPosY, 50, 50);
		}
		public Point Umlaufbahn()							// Rckgabewert ist die Struktur Point
		{
			Point Punkt= new Point();
			Punkt.X = (int)(fRadius*Math.Sin(fWinkel))+275; // Berechne den X Wert
			Punkt.Y = (int)(fRadius*Math.Cos(fWinkel))+235;	// Berechne den Y Wert
			if(fWinkel < 2.0*Math.PI)
			{
				//fWinkel = fWinkel + 0.01;
			if(parent.radioButton1.Checked)
				{
					fWinkel = fWinkel + 0.01;		
				}
				else
				{
					fWinkel = fWinkel - 0.01;
				}
			}
			else fWinkel = 0.0;

			Rechteck.X= Punkt.X;
			Rechteck.Y= Punkt.Y;
   return Punkt;
		}
	}
}
